Bug 1346465 - Dlink DWA-192 not Properly Supported [NEEDINFO]
Summary: Dlink DWA-192 not Properly Supported
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 21:45 UTC by Stephen Morris
Modified: 2017-04-28 17:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:15:29 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Stephen Morris 2016-06-14 21:45:41 UTC
Description of problem: I have a Dlink DWA-192 802-11ac USB wifi adapter which is dual channel. The kernel seems to be using the ATH9K driver for this adapter but this driver does not appear to support the use of the 5GHz channel, as I cannot get the 5GHz channel ssid to work, nor does the driver appear to think that the adapter even has a 5GHz channel. I have tried to compile my own custom kernel but couldn't get that to provide the access either. What do I need to do to rectify this?


Version-Release number of selected component (if applicable): All kernel versions up to and including 4.5.6.


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Laura Abbott 2016-09-23 19:26:16 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Stephen Morris 2016-10-05 20:47:08 UTC
I have upgraded to Fedora 24 and I am currently on kernel 4.7.4-200.fc24 and the issue has not changed, I still cannot use the 5GHz channel on my DWA 192 USB WIFI Adapter.

Comment 3 Justin M. Forbes 2017-04-11 14:43:07 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2017-04-28 17:15:29 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.